from Togra import *
from TograUtil import *
import math

def f_init(time):
	pass

def f_rs(time, is_paused, paused_time):
	global o
	o.addForce(Vector(0,100*math.cos(time/500.0),0))
	o.addForce(Vector(0,0,100*math.cos(time/307.0)))
	o.addForce(Vector(100*math.cos(time/734.0),0,0))
	pass

scene = init()
pm = ProtoMixin()
pm.setInit(f_init)
pm.setRenderStep(f_rs)

ode = ODEMixin()

scene.addMixin(pm)
scene.addMixin(ode)
ode.setGravity(Vector(0,0,0))

pauseQuitKeystrokes(scene)

scene.newLight(Vector(-10,10,0), (0.8,0.2,0.2,1))
scene.newLight(Vector(20,0,-10), (0.2,0.2,0.8,1))

t = sphere(0, 0, 0, 7, 30, 30)
o = ODETransform(ode)
o.setSphere(0.001, 7)
o.setPosition(Vector(10,-10,-2))
o.setVelocity(Vector(0,0,0))
o.addForce(Vector(100,100,100))
t.transformContainer.append(o)

scene.baseContainer.append(t)

scene.run()
