from Togra import *
from TograUtil import *

base = init()

pauseQuitKeystrokes(base)

surface = DynamicSurface(50,50)
surface.flatSurface(-10.0, -10.0, 10.0, 10.0)

b = WobbleBehaviour(0.5, 0.25)
b.xPeriodPeriod = 2
b.yPeriodPeriod = 1
b.xPeriodMagnitude = 0.25
b.yPeriodMagnitude = 0.1

surface.setBehaviour(b)

#surface.wobbleSurface(-10.0,-10.0,10.0,10.0, x_period=0.5, y_period=0.25,
#	x_period_period=2, x_period_magnitude=0.25,
#	y_period_period=1, y_period_magnitude=0.1)
#surface2 = DynamicSurface(25,25)
#surface2.wobbleSurface(-10.0,-10.0,10.0,10.0, y_period=0.33, x_period=0.33,
#	x_period_period=1.1, x_period_magnitude=0.2,
#	y_period_period=1, y_period_magnitude=0.2)

surface2C = Container()
surface2C.append(surface)
surface2C.transformContainer.append(Transform(rotateAxis=Vector(0,1,0), rotateAmount=180))

surfaceC = Container()
surfaceC.append(surface)
surfaceC.append(surface2C)
surfaceC.transformContainer.append(rotatePath(Vector(0,0,1), 60000))
surfaceC.transformContainer.append(rotatePath(Vector(1,0,0), 10000))

base.baseContainer.append(surfaceC)
base.baseContainer.setMaterial(Material(specular=(0.5,0.5,0.5,1), 
	shininess=50, emissive=(0,0,0,1), ambient=(0.5,0.5,0.5,1)))
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), rotateAmount=90))

base.newLight(Vector(-100,10,10), (1,0,0,1))
base.newLight(Vector(-50,-30,30), (0,1,0,1))


base.run()
