from Togra import *
from TograUtil import *
import sys
import math
import Tracker

scene = init()
t = Tracker.initTracker(scene)

scene.view_from = Vector(0,0,-30)

if len(sys.argv) > 1:
    if sys.argv[1] == "cylinder":
        b = cylinder(0,0,0,10,10,10)
    elif sys.argv[1] == "box":
        b = box(0,0,0,10,10,10)
    else:
        b = eval(sys.argv[1])
else:
    b = box(0,0,0,10,10,10)
c = Container()
c.append(b)
c.transformContainer.append(t)
scene.baseContainer.append(c)
scene.newLight(Vector(0,30,-20), (0.8,0.5,0.5,1))

scene.run()
