struct GraphGroup_s;

typedef struct {
	PyObject *object;
	int effected;
	struct GraphGroup_s *group;
} GraphNode;

typedef struct {
	PyObject *from;
	PyObject *to;
	double length;
	double strength;
	struct GraphGroup_s *group;
} GraphConnection;

typedef struct GraphGroup_s {
	GraphNode **nodes;
	GraphConnection **connections;
	int num_nodes;
	int num_connections;
} GraphGroup;


