from Togra import *
from TograUtil import *
import Image
import math
import sys

GL_RGB          = 0x1907

im = Image.open("IMG_1716.JPG")
im = im.resize((1024, 1024))

scene = init()

path = TransformContainer()

a = rotatePath(Vector(0,1,0), 65000)
path.append(a)

path.append(rotatePath(Vector(0,1,0), 6500))
path.append(rotatePath(Vector(0,0,1), 10000))
        
pauseQuitKeystrokes(scene)

my_sphere = sphere(0, 0, 0, 10, 40, 40)

m = Material()
t = StaticTexture(im.tostring(), 1024, 1024, GL_RGB)
m.setTexture(t)

my_sphere.setMaterial(m)
my_sphere.setMaterialCoords()

my_sphere.transformContainer.append(path)

scene.baseContainer.append(my_sphere)
scene.run()
