from Togra import *
from TograUtil import *
import Tracker
import sys
import togragst

GL_QUADS = 7

scene = init()
pauseQuitKeystrokes(scene)
t = Tracker.initTracker(scene)

if len(sys.argv) == 2:
        fname = sys.argv[1]
else:
	fname = "/home/shans/alien.mpg"

panelList = VectorList(8)
panelList.append(Vector(0,-10,-10))
panelList.append(Vector(0,10,-10))
panelList.append(Vector(0,10,10))
panelList.append(Vector(0,-10,10))
panelList.append(Vector(0,-10,-10))
panelList.append(Vector(0,-10,10))
panelList.append(Vector(0,10,10))
panelList.append(Vector(0,10,-10))

panelNormals = VectorList(8)
for i in range(4):
        panelNormals.append(Vector(1, 0, 0))
for i in range(4):
        panelNormals.append(Vector(-1, 0, 0))

panelTexture = FloatList(16)
for i in range(2):
        panelTexture.append(0.0)
        panelTexture.append(1.0)
        panelTexture.append(1.0)
        panelTexture.append(1.0)
        panelTexture.append(1.0)
        panelTexture.append(0.0)
        panelTexture.append(0.0)
        panelTexture.append(0.0)

panel = Container(1)
panel.append(StaticRender(panelList, GL_QUADS, normals=panelNormals,
        textureCoords=panelTexture))

panelMaterial = Material(ambient=(1, 1, 1, 1))
tex = togragst.AutoGstTexture (512, 512, togragst.FILE, fname)
panelMaterial.setTexture(tex.texture)
panel.setMaterial(panelMaterial)
panel.transformContainer.append(t)

scene.view_from = Vector(-16,0,0)
scene.baseContainer.append(panel)

scene.setBackgroundColour(0,0,0)

scene.run()
